### Function

# Gimp DrawableFilter operation_get_details

since: 3.2

#### Declaration [src]

    gboolean
    gimp_drawable_filter_operation_get_details (
      const gchar* operation_name,
      gchar*** propnames,
      GimpValueArray** propvalues
    )

#### Description [src]

Get information about a GEGL operation.

This procedure returns information about a GEGL operation. The content of the list of information can vary across versions and currently can contain: - a human-readable title of the operation, - a description of the operation’s behaviour, - the categories the operation belongs to, and - the license of the operation. An operation can belong to no categories or to multiple categories. Multiple categories are separated by the ‘:’ character. Some operation’s license is not specifically set. In such cases, the returned license is ‘unknown’.

Available since: 3.2

#### Parameters

`operation_name`

  Type: `const gchar*`

  The GEGL operation’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`propnames`

  Type: An array of `gchar**`

  The names of properties.

  The argument will be set by the function.
  The array must be `NULL`-terminated.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`propvalues`

  Type: `GimpValueArray`

  The values of properties in the same order.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.